---
title: Gets sku inventory information.
slug: cms-12/api/28o1-gets-sku-inventory-information
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "EcxO-AO8LtPQ75CjELyy0",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/inventory",
    "servers": [],
    "name": "Gets sku inventory information.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "contentId",
          "type": "string<uuid>",
          "description": "The content id.",
          "format": "uuid"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "Represents inventory information for a single catalog entry at a single warehouse.",
            "customType": "inventory[]",
            "schema": [
              {
                "name": "entryCode",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The catalog entry code."
              },
              {
                "name": "warehouseCode",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The warehouse's information."
              },
              {
                "name": "purchaseAvailableQuantity",
                "kind": "optional",
                "type": "number<decimal>",
                "description": "The quantity of items available for purchase.",
                "format": "decimal"
              },
              {
                "name": "purchaseRequestedQuantity",
                "kind": "optional",
                "type": "number<decimal>",
                "description": "The quantity of items requested for purchase and not yet completed.",
                "format": "decimal"
              },
              {
                "name": "purchaseAvailable",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "<p>The purchase availability date for the item and warehouse, in UTC.</p>",
                "format": "date-time"
              }
            ],
            "modelRef": "#/components/schemas/inventory",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "xGwFjNLCrKDnfyn11OwhJ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/inventory \\\n     --header 'accept: application/json'"
        },
        {
          "id": "KdyPsYGMyMOu5FkP6tFNE",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/inventory\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Wyc8wgebOVuZt5nhgs13-",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/inventory\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "0D6kQtqc4x-6XIT7rUUwJ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/inventory\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "xGwFjNLCrKDnfyn11OwhJ"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"entryCode\": \"\",\n    \"warehouseCode\": \"\",\n    \"purchaseAvailableQuantity\": \"\",\n    \"purchaseRequestedQuantity\": \"\",\n    \"purchaseAvailable\": \"\"\n  }\n]"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}